package org.dromara.settlement;

import cn.hutool.crypto.SecureUtil;
import org.apache.dubbo.config.spring.context.annotation.EnableDubbo;
import org.bouncycastle.jce.provider.BouncyCastleProvider;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.metrics.buffering.BufferingApplicationStartup;

import java.security.Security;

/**
 * 系统模块
 *
 * @author ruoyi
 */
@EnableDubbo
@SpringBootApplication
public class RuoYiSettlementApplication {
    static {
        Security.addProvider(new BouncyCastleProvider());
    }
    public static void main(String[] args) {

        SpringApplication application = new SpringApplication(RuoYiSettlementApplication.class);
        application.setApplicationStartup(new BufferingApplicationStartup(2048));
        SecureUtil.disableBouncyCastle();
        application.run(args);
        System.out.println("(♥◠‿◠)ﾉﾞ  结算模块启动成功   ლ(´ڡ`ლ)ﾞ  ");
    }
}
